Pagina 1 di 1

Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: venerdì 13 aprile 2018, 23:46
da alebal
Ciao a tutti
da un pò il mio server ubuntu 16.04 su Vultr quando effettuo l'accesso in ssh, mi dice qualcosa tipo:
Codice: Seleziona tutto
49 packages can be updated.
8 updates are security updates.


faccio:
Codice: Seleziona tutto
sudo apt-get update
e
sudo apt-get upgrade


Ne aggiorna qualcuno, ma non tutti.

Se esco e entro mi dice tipo:
Codice: Seleziona tutto
45 packages can be updated.
7 updates are security updates.


Mi sono perso qualcosa?
Magari vultr tiene dei pacchetti non aggiornati per qualche loro ragione?

Ho fatto anche un riavvio, ma non è cambiato molto...

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: sabato 14 aprile 2018, 5:47
da maidasette
Prova a digitare:
Codice: Seleziona tutto
sudo apt-get dist-upgrade
Se anche così in funziona fallo manualmente copiando i file dall'elenco che appare subito prima con il comando
Codice: Seleziona tutto
sudo apt-get install

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: sabato 14 aprile 2018, 22:35
da alebal
Ma è un web server Apache, php, mysql ecc ecc, rischio qualche casino con l'aggiornamento di versione?

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: sabato 14 aprile 2018, 22:45
da pachisapiu
se non hai installato unattended-upgrades è normale che non si aggiorni da solo

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: domenica 15 aprile 2018, 5:09
da maidasette
alebal Immagine ha scritto:Ma è un web server Apache, php, mysql ecc ecc, rischio qualche casino con l'aggiornamento di versione?

Gli aggiornamenti sono sempre opportuni, certo un avanzamento di versione comporta qualche rischio in più per cui un Back-up è molto utile. Quello che posso consigliarti è quello di mettere nei repository solo le versioni LTS.

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: martedì 17 aprile 2018, 0:56
da alebal
Questo: "unattended-upgrades", non so cosa sia...

Questo: "mettere nei repository solo le versioni LTS", non so come farlo...

:( :( :( Mi potete spiegare un pò meglio?

Altra cosa, i backup:
questo è il primo serverino che mi gestisco autonomamente su vultr, di solito acquistavo un vps da qualche parte e quando volevo spostare o cambiare qualcosa dovevo solo chiedere al supporto e si arrangiavano.
Ora invece è già un pò che penso a quale sia il modo più veloce per ripristinare un backup, nel senso, se dovessi fare qualche casino e far esplodere il server, quale sarebbe il modo più veloce per "rimontare" tutto su un nuovo server?
In un caso cosi, io installerei un nuovo lamp server.
Ho uno script che fai i backup di mysql e me li invia settimanalmente sui miei pc via scp, in caso posso ricaricarli e ripristinarli via mysql terminal.
Farei uno zip di tutta la cartella www e lo scaricherei e caricherei sempre via scp.
e fin qui file e database, ma posso salvare anche virtual host, cronjob, e magari altro?

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: martedì 17 aprile 2018, 6:08
da maidasette
Per quanto riguarda "unattended-upgrades" dai un'occhiata qui: https://debian-handbook.info/browse/it- ... rades.html
Per la versione LTS, visto che viene rilasciata ogni 2 anni, puoi farlo anche manualmente.
Per il back-up ci sono vari programmi come per esempio: Duplicity

Re: Ho dei pacchetti da aggiornare, ma non si aggiornano

MessaggioInviato: martedì 17 aprile 2018, 7:58
da tokijin
@alebal
per tenere ordinato il forum è bene trattare un unico argomento per discussione: qui continuiamo a parlare degli aggiornamenti e per il backup, se non trovi nulla con una ricerca, apri una discussione dedicata nella sezione opportuna.